%define pkgname X-Osd
%define name	perl-%{pkgname}
%define	version	0.5
%define release	3mdk
%define pver 5.8.0

Summary:  	Perl5 modules for xosd
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://ftp.cpan.jp/CPAN/authors/id/G/GO/GOZER/
Source:		%{pkgname}-%{version}.tar.bz2
Packager:       Erwan Velu <erwan@mandrakesoft.com>
Requires:	perl, xosd
BuildRequires:	libxosd2-devel, perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}
Prefix:		%{_prefix}
#buildarch:	noarch

%description
Perl extension to the X On Screen Display library (xosd)

%prep
rm -rf %{buildroot}
%setup -q -n %{pkgname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install

make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -fr %{buildroot}

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root) 
%doc README MANIFEST Changes
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-3mdk
- rebuild for new auto{prov,req}

* Mon Apr 28 2003  <erwan@no.mandrakesoft.com> 0.5-2mdk
- Fixing BuildRequires (Thx to Stefan van der Eijk)

* Wed Apr  2 2003  <erwan@mandrakesoft.com> 0.5-1mdk
- first release for Mandrakesoft
